[blfs-support] WebKitGTK-1/Flash

Bruce Dubbs bruce.dubbs at gmail.com
Tue Dec 31 07:37:28 PST 2013


lux-integ wrote:
> On Monday 30 December 2013 11:41:26 Richard wrote:
>> Is there some 'trick' or undocumented procedure for building/using
>> webkitgtk-1 with flash? Some build flag that I may have missed or variable
>> which needs to be set?
>>
>> I have downloaded the appropriate archive from Adobe - with a readme which
>> tells me to put libflashplayer.so in the 'appropriate directory' (not very
>> helpful). A quick search around stackoverflow tended to hint at
>> directories such as: /usr/lib/mozilla/plugins/
>> /opt/google/chrome/plugins
>> so I have copied the library to both locations with no success. I have
>> searched as best online and I can find nothing helpful.
>>
>> So - how do you guys get flash working?
>>
>> Many thanks, R.
>
>
> I have  only took a cursory look at this thread so please excuse if I have
> missed anything.
>
> I read somewhere that adobe will   discontinue support for   linux   (i.e.
> libflashplayer.so for linux ) early in 2014.  If that is so   ( and I would be
> grateful of someonw on list could confirm/explain )  is it  worth bothering
> with?
>
> Also if the story of  imminent bit-rot for adobe's  libflash-player for linux,
> is true could anyone on list enlighten whether  gnash/related is/are
> progressing   as replacement  or howto/otherwise html5   replacement  for a
> blfs setup?

I have gnash installed and it plays some flash but not others. 
Generally, I prefer to *not* have flash because it is used so often for 
junk I don't want to see.  I have an Android system that came with flash 
and explicitly removed it.

   -- Bruce



More information about the blfs-support mailing list